KABC::Format Class Referenceabstract

`#include <format.h>`

Inheritance diagram for KABC::Format:

## Public Member Functions

virtual bool | load (AddressBook *, const QString &fileName)=0
virtual bool | save (AddressBook *, const QString &fileName)=0

## Detailed Description

Deprecated:
  use FormatPlugin instead

Definition at line 34 of file format.h.

## Member Function Documentation

virtual bool KABC::Format::load | ( | AddressBook * | ,
|  | const QString & | fileName
| ) |  |

pure virtual

Load addressbook from file.

Implemented in KABC::VCardFormat.

virtual bool KABC::Format::save | ( | AddressBook * | ,
|  | const QString & | fileName
| ) |  |

pure virtual

Save addressbook to file.

Implemented in KABC::VCardFormat.

The documentation for this class was generated from the following file:

- format.h

KDE Home | KDE Accessibility Home | Description of Access Keys